package chanxuanTikTok

import "code.fnuoos.com/go_rely_warehouse/zyos_go_third_party_api.git/md"

type ChanxuanTikTokGoods struct {
	Title            string  `json:"title"`
	Cover            string  `json:"cover"`
	Price            int     `json:"price"`
	OriginPrice      int     `json:"origin_price"`
	CosRatio         float64 `json:"cos_ratio"`
	Sales            int     `json:"sales"`
	DetailUrl        string  `json:"detail_url"`
	ProductId        string  `json:"product_id"`
	KolCosRatio      float64 `json:"kol_cos_ratio"`
	ActivityCosRatio float64 `json:"activity_cos_ratio"`
	ShopName         string  `json:"shop_name"`
	ActivityId       int     `json:"activity_id"`
	CategoryName     string  `json:"category_name"`
}
type ChanxuanTikTokGoodsUrl struct {
	DkPassword  string `json:"dk_password"`
	DkCodeImg   string `json:"dk_code_img"`
	DyDeeplink  string `json:"dy_deeplink"`
	DySharelink string `json:"dy_sharelink"`
}
type ChanxuanTikTokOrder struct {
	CommissionRate          int         `json:"commission_rate"`
	CxServiceRate           int         `json:"cx_service_rate"`
	EstimatedCommission     int         `json:"estimated_commission"`
	EstimatedTechServiceFee int         `json:"estimated_tech_service_fee"`
	FlowPoint               string      `json:"flow_point"`
	ItemNum                 int         `json:"item_num"`
	OrderId                 string      `json:"order_id"`
	PaySuccessTime          string      `json:"pay_success_time"`
	ProductId               string      `json:"product_id"`
	ProductImg              string      `json:"product_img"`
	ProductName             string      `json:"product_name"`
	RealCommission          int         `json:"real_commission"`
	RefundTime              interface{} `json:"refund_time"`
	SettleTime              interface{} `json:"settle_time"`
	SettledTechServiceFee   int         `json:"settled_tech_service_fee"`
	ShopId                  int         `json:"shop_id"`
	TotalPayAmount          int         `json:"total_pay_amount"`
	UpdateTime              string      `json:"update_time"`
	VipMsg                  string      `json:"vip_msg"`
	ActivistType            interface{} `json:"activist_type"`
}
type ChanxuanTikTokGoodsDetail struct {
	ActivityCosRatio int      `json:"activity_cos_ratio"`
	AwemeList        []string `json:"aweme_list"`
	AwemesInfo       []struct {
		AwemeId    string `json:"aweme_id"`
		AwemeCover string `json:"aweme_cover"`
		AwemeUrl   string `json:"aweme_url"`
	} `json:"awemes_info"`
	BrandCode          string                     `json:"brand_code"`
	Category           string                     `json:"category"`
	CosRatio           int                        `json:"cos_ratio"`
	Cover              string                     `json:"cover"`
	DescLevel          int                        `json:"desc_level"`
	DescScore          int                        `json:"desc_score"`
	DetailImages       []string                   `json:"detail_images"`
	DetailUrl          string                     `json:"detail_url"`
	ExprLevel          int                        `json:"expr_level"`
	ExprScore          int                        `json:"expr_score"`
	Gain               string                     `json:"gain"`
	Images             []string                   `json:"images"`
	KolCosRatio        int                        `json:"kol_cos_ratio"`
	OriginPrice        float64                    `json:"origin_price"`
	PostLevel          int                        `json:"post_level"`
	PostScore          float64                    `json:"post_score"`
	Price              float64                    `json:"price"`
	ProductId          int64                      `json:"product_id"`
	PromotionEndTime   string                     `json:"promotion_end_time"`
	PromotionStartTime string                     `json:"promotion_start_time"`
	Sales              int                        `json:"sales"`
	SellPoint          string                     `json:"sell_point"`
	ServLevel          int                        `json:"serv_level"`
	ServScore          float64                    `json:"serv_score"`
	ShopIcon           string                     `json:"shop_icon"`
	ShopId             int                        `json:"shop_id"`
	ShopName           string                     `json:"shop_name"`
	Pictures           map[string]md.PicturesData `json:"pictures"`
	Skus               map[string]md.SkusData     `json:"skus"`
	Spec               []md.SpecsData             `json:"spec"`
	Title              string                     `json:"title"`
}
